.b-header {
    /* background-color: red; */
    /* opacity: 0.4; */
    position: absolute;
    /* top: 34px; */
    /* top: 44px; */
    top: 75px;
    z-index: 123;
    width: 100%;
    left: 0;
}

.b-header__logo {
    display: block;
    width: 253px;
    /* height: 114px; */
    height: 70px;
    mask-image: url(./../images/logo_footer.svg);
    mask-repeat: no-repeat;
    mask-position: center;
    mask-size: contain;
    background-color: #D0A97D;
    flex: 0 0 auto;
    /* margin: 0 138px 0 194px; */
    margin: 0 165px;
}

.b-header__top .b-container {
    display: flex;
    justify-content: center;
}

.b-header__top .b-header__top-wrapper.b-container {
    justify-content: space-between;
}

.b-header__top {
    padding: 10px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* background-color: black; */
}

.b-header__top-left,
.b-header__top-right {
    display: flex;
    align-items: center;
    color: #808080;
}

.b-header__menu-wrapper {
    display: flex;
    max-width: 610px;
    width: 100%;
    justify-content: flex-end;
    position: relative;
    /* bottom: 10px; */
    bottom: 0;
    gap: 50px;
    text-transform: uppercase;
    letter-spacing: 7%;
    color: #fff;
}

.b-header__menu-wrapper.last {
    justify-content: flex-start;
}

.b-header__top-left {
    gap: 60px;
}

.b-header__top-right {
    gap: 60px;
}

.b-header__logo-mobile {
    display: none;
}

.b-header__menu {
    padding: 25px 0;
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: center;
}

.b-header__logo-yandex {
    background-image: url(./../images/good_shop.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    width: 124px;
    height: 24px;
}

.b-header__call,
.b-header__vk {
    display: flex;
    align-items: center;
    gap: 8px;
}

.b-header__vk::after,
.b-header__call::after  {
    content: "";
    width: 22px;
    height: 16px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    background-image:  url(./../images/vk-icon.svg);
}

.b-header__call::after {
    background-image:  url(./../images/wa-icon.svg);
}

.b-header__top.active {
  position: fixed;
  z-index: 123123;
  width: 100%;
  top: 0;
  left: 0;
  background-color: #000000;
}

.b-header__top.active .b-header {
    top: 44px;
}

.b-header__top.active .b-header__menu-link {
  color: #342727;
}

.b-header__top.active .b-header.b-container {
  background-color: white;
}

.header-mobile-menu {
  height: 100dvh;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 10px;
  z-index: 123123213;
  background-color: white;
  padding: 40px;
  top: calc(75px + 37px);
  display: none;
}

.header-mobile-menu.active {
    display: flex;
}

.b-header__mobile-container .b-header__logo-mobile,
.b-header__mobile-container .b-header__vk,
.b-header__mobile-container .b-header__call {
    display: none;
}

@media (max-width: 1600px) {
    .b-header__logo {
        margin: 0 40px;
    }

    .b-header__menu-wrapper {
        gap: 20px;
    }

    .b-header__top.active .b-header.b-container {
        background-color: white;
        height: 108px;
    }

    .b-header__logo-mobile {
        z-index: 123123;
    }
}

@media (max-width: 1400px) {
    .b-header__menu {
        display: none;
    }

    .b-header__top.active .b-header.b-container {
        background-color: white;
    }

    .header-mobile-menu {
        top: calc(105px + 37px);
    }

    .b-header__address {
        display: none;
    }

    .b-header__time {
        display: none;
    }

    .b-header__logo-mobile {
        display: block;
        width: 196px;
        height: 108px;
        mask-image: url(./../images/logo_footer.svg);
        mask-repeat: no-repeat;
        mask-position: center;
        mask-size: contain;
        background-color: #D0A97D;
        position: absolute;
        top: 45px;
        left: 50%;
        transform: translateX(-50%);
        z-index: 10;
    }

    .b-header__logo-mobile {
        z-index: 123123;
    }

    .b-header__top.active .b-header__mobile-burger {
        mask-image: url(./../images/burger.svg);
        background-color: #342727;
        z-index: 12312312;
        background-image: none;
    }

    .b-header__mobile-burger {
        width: 20px;
        height: 18px;
        position: absolute;
        top: 70px;
        right: 60px;
        background-image: url(./../images/burger.svg);
        z-index: 10;
    }
}

@media (max-width: 768px) {
    .b-header__top-right {
        gap: 10px;
    }

    .header-mobile-menu {
        padding: 20px;
    }

    .b-header__top.active .b-header__logo-mobile {
        display: none;
    }

    .b-header__top.active .b-header.b-container {
        height: 75px;
    }

    .b-header__call {
        font-size: 0;
    }

    .b-header__vk {
        font-size: 0;
    }

    .b-header__logo-mobile {
        width: 150px;
        height: 108px;

        top: 80px;
    }

    .b-header__mobile-burger {
        top: 120px;
        right: 40px;
    }

    .header-mobile-menu {
        top: calc(72px + 37px);
    }

    .b-header__top.active .b-header__mobile-burger {
         right: 20px;
         top: 63px;
    }

    .b-header__top.active .b-header__mobile-container .b-header__logo-mobile {
        width: 130px;
        height: 60px;
        display: block;
        position: absolute;
        top: 52px;
        left: 87px;
        z-index: 12312312312;
    }

    .b-header__top.active .b-header__mobile-container .b-header__vk {
        display: block;
        position: absolute;
        top: 63px;
        right: 100px;
        z-index: 12312321;
        width: 22px;
        height: 16px;
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
        background-image:  url(./../images/vk-icon.svg);
    }

    .b-header__top.active .b-header__top-wrapper .b-header__call,
    .b-header__top.active .b-header__top-wrapper .b-header__vk {
        display: none;
    }

    .b-header__top.active .b-header__mobile-container .b-header__call {
        display: block;
        position: absolute;
        top: 63px;
        right: 60px;
        z-index: 123123123;
        width: 22px;
        height: 16px;
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
        background-image:  url(./../images/wa-icon.svg);
    }

    .b-header__mobile-container .b-header__vk,
    .b-header__mobile-container .b-header__call {
        display: none;
    }
}